package com.mortals.xhx.module.member.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Member
* date: 2021-9-7 10:49:11
*/
public class MemberQuery extends MemberEntity{
    private static final long serialVersionUID = 1630982951486L;
    /** 开始 会员ID，主键，自增长 */
    private Long idStart;

    /** 结束 会员ID，主键，自增长 */
    private Long idEnd;

    /** 增加 会员ID，主键，自增长 */
    private Long idIncrement;

    /** 会员ID，主键，自增长 */
    private List <Long> idList;


    /** 姓名 */
    private List<String> idcardNameList;

    /** 性别 */
    private List<String> idcardSexList;

    /** 民族 */
    private List<String> idcardNationList;

    /** 出生 */
    private List<String> idcardBornList;

    /** 地址 */
    private List<String> idcardAddressList;

    /** 身份证号 */
    private List<String> idcardIDCardNoList;

    /** 发证机关 */
    private List<String> idcardGrantDeptList;

    /** 有效期开始 */
    private List<String> idcardUserLifeBeginList;

    /** 有效期结束 */
    private List<String> idcardUserLifeEndList;

    /** 照片 */
    private List<String> idcardDataPhotoFileNameList;

    /** 手机号 */
    private List<String> phoneList;

    /** unionid，同一个微信开放平台的唯一标识 */
    private List<String> unionidList;

    /** 微信openId */
    private List<String> openIdList;

    /** 头像地址 */
    private List<String> picImageList;

    /** 昵称 */
    private List<String> nicknameList;

    /** 真实姓名 */
    private List<String> realNameList;

    /** 1：男，2：女 */
    private List<String> genderList;

    /** 微信头像 */
    private List<String> iconList;

    /** 身份证正面照片 */
    private List<String> zImgList;

    /** 身份证背面照片 */
    private List<String> bImgList;
    /** 开始 默认选择的站点id */
    private Long siteidStart;

    /** 结束 默认选择的站点id */
    private Long siteidEnd;

    /** 增加 默认选择的站点id */
    private Long siteidIncrement;

    /** 默认选择的站点id */
    private List <Long> siteidList;


    /** 天府通办用户名 */
    private List<String> usernameList;
    /** 开始 最后登录时间 */
    private String lasttimeStart;

    /** 结束 最后登录时间 */
    private String lasttimeEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 用户状态，0:正常，1:禁用,默认0 */
    private Integer statusStart;

    /** 结束 用户状态，0:正常，1:禁用,默认0 */
    private Integer statusEnd;

    /** 增加 用户状态，0:正常，1:禁用,默认0 */
    private Integer statusIncrement;

    /** 用户状态，0:正常，1:禁用,默认0 */
    private List <Integer> statusList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户 */
    private List<String> createUserList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MemberQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MemberQuery> andConditionList;


    public MemberQuery(){
    }

    /**
    * 获取 开始 会员ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 会员ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 会员ID，主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 会员ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 会员ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 会员ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 会员ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 会员ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 姓名
    * @return idcardNameList
    */
    public List<String> getIdcardNameList(){
        return this.idcardNameList;
    }

    /**
    * 设置 姓名
    * @param idcardNameList
    */
    public void setIdcardNameList(List<String> idcardNameList){
        this.idcardNameList = idcardNameList;
    }
    /**
    * 获取 性别
    * @return idcardSexList
    */
    public List<String> getIdcardSexList(){
        return this.idcardSexList;
    }

    /**
    * 设置 性别
    * @param idcardSexList
    */
    public void setIdcardSexList(List<String> idcardSexList){
        this.idcardSexList = idcardSexList;
    }
    /**
    * 获取 民族
    * @return idcardNationList
    */
    public List<String> getIdcardNationList(){
        return this.idcardNationList;
    }

    /**
    * 设置 民族
    * @param idcardNationList
    */
    public void setIdcardNationList(List<String> idcardNationList){
        this.idcardNationList = idcardNationList;
    }
    /**
    * 获取 出生
    * @return idcardBornList
    */
    public List<String> getIdcardBornList(){
        return this.idcardBornList;
    }

    /**
    * 设置 出生
    * @param idcardBornList
    */
    public void setIdcardBornList(List<String> idcardBornList){
        this.idcardBornList = idcardBornList;
    }
    /**
    * 获取 地址
    * @return idcardAddressList
    */
    public List<String> getIdcardAddressList(){
        return this.idcardAddressList;
    }

    /**
    * 设置 地址
    * @param idcardAddressList
    */
    public void setIdcardAddressList(List<String> idcardAddressList){
        this.idcardAddressList = idcardAddressList;
    }
    /**
    * 获取 身份证号
    * @return idcardIDCardNoList
    */
    public List<String> getIdcardIDCardNoList(){
        return this.idcardIDCardNoList;
    }

    /**
    * 设置 身份证号
    * @param idcardIDCardNoList
    */
    public void setIdcardIDCardNoList(List<String> idcardIDCardNoList){
        this.idcardIDCardNoList = idcardIDCardNoList;
    }
    /**
    * 获取 发证机关
    * @return idcardGrantDeptList
    */
    public List<String> getIdcardGrantDeptList(){
        return this.idcardGrantDeptList;
    }

    /**
    * 设置 发证机关
    * @param idcardGrantDeptList
    */
    public void setIdcardGrantDeptList(List<String> idcardGrantDeptList){
        this.idcardGrantDeptList = idcardGrantDeptList;
    }
    /**
    * 获取 有效期开始
    * @return idcardUserLifeBeginList
    */
    public List<String> getIdcardUserLifeBeginList(){
        return this.idcardUserLifeBeginList;
    }

    /**
    * 设置 有效期开始
    * @param idcardUserLifeBeginList
    */
    public void setIdcardUserLifeBeginList(List<String> idcardUserLifeBeginList){
        this.idcardUserLifeBeginList = idcardUserLifeBeginList;
    }
    /**
    * 获取 有效期结束
    * @return idcardUserLifeEndList
    */
    public List<String> getIdcardUserLifeEndList(){
        return this.idcardUserLifeEndList;
    }

    /**
    * 设置 有效期结束
    * @param idcardUserLifeEndList
    */
    public void setIdcardUserLifeEndList(List<String> idcardUserLifeEndList){
        this.idcardUserLifeEndList = idcardUserLifeEndList;
    }
    /**
    * 获取 照片
    * @return idcardDataPhotoFileNameList
    */
    public List<String> getIdcardDataPhotoFileNameList(){
        return this.idcardDataPhotoFileNameList;
    }

    /**
    * 设置 照片
    * @param idcardDataPhotoFileNameList
    */
    public void setIdcardDataPhotoFileNameList(List<String> idcardDataPhotoFileNameList){
        this.idcardDataPhotoFileNameList = idcardDataPhotoFileNameList;
    }
    /**
    * 获取 手机号
    * @return phoneList
    */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
    * 设置 手机号
    * @param phoneList
    */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }
    /**
    * 获取 unionid，同一个微信开放平台的唯一标识
    * @return unionidList
    */
    public List<String> getUnionidList(){
        return this.unionidList;
    }

    /**
    * 设置 unionid，同一个微信开放平台的唯一标识
    * @param unionidList
    */
    public void setUnionidList(List<String> unionidList){
        this.unionidList = unionidList;
    }
    /**
    * 获取 微信openId
    * @return openIdList
    */
    public List<String> getOpenIdList(){
        return this.openIdList;
    }

    /**
    * 设置 微信openId
    * @param openIdList
    */
    public void setOpenIdList(List<String> openIdList){
        this.openIdList = openIdList;
    }
    /**
    * 获取 头像地址
    * @return picImageList
    */
    public List<String> getPicImageList(){
        return this.picImageList;
    }

    /**
    * 设置 头像地址
    * @param picImageList
    */
    public void setPicImageList(List<String> picImageList){
        this.picImageList = picImageList;
    }
    /**
    * 获取 昵称
    * @return nicknameList
    */
    public List<String> getNicknameList(){
        return this.nicknameList;
    }

    /**
    * 设置 昵称
    * @param nicknameList
    */
    public void setNicknameList(List<String> nicknameList){
        this.nicknameList = nicknameList;
    }
    /**
    * 获取 真实姓名
    * @return realNameList
    */
    public List<String> getRealNameList(){
        return this.realNameList;
    }

    /**
    * 设置 真实姓名
    * @param realNameList
    */
    public void setRealNameList(List<String> realNameList){
        this.realNameList = realNameList;
    }
    /**
    * 获取 1：男，2：女
    * @return genderList
    */
    public List<String> getGenderList(){
        return this.genderList;
    }

    /**
    * 设置 1：男，2：女
    * @param genderList
    */
    public void setGenderList(List<String> genderList){
        this.genderList = genderList;
    }
    /**
    * 获取 微信头像
    * @return iconList
    */
    public List<String> getIconList(){
        return this.iconList;
    }

    /**
    * 设置 微信头像
    * @param iconList
    */
    public void setIconList(List<String> iconList){
        this.iconList = iconList;
    }
    /**
    * 获取 身份证正面照片
    * @return zImgList
    */
    public List<String> getZImgList(){
        return this.zImgList;
    }

    /**
    * 设置 身份证正面照片
    * @param zImgList
    */
    public void setZImgList(List<String> zImgList){
        this.zImgList = zImgList;
    }
    /**
    * 获取 身份证背面照片
    * @return bImgList
    */
    public List<String> getBImgList(){
        return this.bImgList;
    }

    /**
    * 设置 身份证背面照片
    * @param bImgList
    */
    public void setBImgList(List<String> bImgList){
        this.bImgList = bImgList;
    }
    /**
    * 获取 开始 默认选择的站点id
    * @return siteidStart
    */
    public Long getSiteidStart(){
    return this.siteidStart;
    }

    /**
    * 设置 开始 默认选择的站点id
    * @param siteidStart
    */
    public void setSiteidStart(Long siteidStart){
    this.siteidStart = siteidStart;
    }

    /**
    * 获取 结束 默认选择的站点id
    * @return siteidEnd
    */
    public Long getSiteidEnd(){
    return this.siteidEnd;
    }

    /**
    * 设置 结束 默认选择的站点id
    * @param siteidEnd
    */
    public void setSiteidEnd(Long siteidEnd){
    this.siteidEnd = siteidEnd;
    }

    /**
    * 获取 增加 默认选择的站点id
    * @return siteidIncrement
    */
    public Long getSiteidIncrement(){
    return this.siteidIncrement;
    }

    /**
    * 设置 增加 默认选择的站点id
    * @param siteidIncrement
    */
    public void setSiteidIncrement(Long siteidIncrement){
    this.siteidIncrement = siteidIncrement;
    }

    /**
    * 获取 默认选择的站点id
    * @return siteidList
    */
    public List<Long> getSiteidList(){
    return this.siteidList;
    }

    /**
    * 设置 默认选择的站点id
    * @param siteidList
    */
    public void setSiteidList(List<Long> siteidList){
        this.siteidList = siteidList;
        }
    /**
    * 获取 天府通办用户名
    * @return usernameList
    */
    public List<String> getUsernameList(){
        return this.usernameList;
    }

    /**
    * 设置 天府通办用户名
    * @param usernameList
    */
    public void setUsernameList(List<String> usernameList){
        this.usernameList = usernameList;
    }
    /**
    * 获取 开始 最后登录时间
    * @return lasttimeStart
    */
    public String getLasttimeStart(){
    return this.lasttimeStart;
    }

    /**
    * 设置 开始 最后登录时间
    * @param lasttimeStart
    */
    public void setLasttimeStart(String lasttimeStart){
    this.lasttimeStart = lasttimeStart;
    }

    /**
    * 获取 结束 最后登录时间
    * @return lasttimeEnd
    */
    public String getLasttimeEnd(){
    return this.lasttimeEnd;
    }

    /**
    * 设置 结束 最后登录时间
    * @param lasttimeEnd
    */
    public void setLasttimeEnd(String lasttimeEnd){
    this.lasttimeEnd = lasttimeEnd;
    }
    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 开始 用户状态，0:正常，1:禁用,默认0
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 用户状态，0:正常，1:禁用,默认0
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 用户状态，0:正常，1:禁用,默认0
    * @return statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 用户状态，0:正常，1:禁用,默认0
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 用户状态，0:正常，1:禁用,默认0
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 用户状态，0:正常，1:禁用,默认0
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 用户状态，0:正常，1:禁用,默认0
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 用户状态，0:正常，1:禁用,默认0
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }


	/**
    * 设置  会员ID，主键，自增长
    * @param id
    */
    public MemberQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 会员ID，主键，自增长
    * @param idStart
    */
    public MemberQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 会员ID，主键，自增长
    * @param idEnd
    */
    public MemberQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 会员ID，主键，自增长
    * @param idIncrement
    */
    public MemberQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 会员ID，主键，自增长
    * @param idList
    */
    public MemberQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 姓名
    * @param idcardName
    */
    public MemberQuery idcardName(String idcardName){
        setIdcardName(idcardName);
		return this;
    }


    /**
    * 设置 姓名
    * @param idcardNameList
    */
    public MemberQuery idcardNameList(List<String> idcardNameList){
        this.idcardNameList = idcardNameList;
		return this;
    }
	/**
    * 设置 性别
    * @param idcardSex
    */
    public MemberQuery idcardSex(String idcardSex){
        setIdcardSex(idcardSex);
		return this;
    }


    /**
    * 设置 性别
    * @param idcardSexList
    */
    public MemberQuery idcardSexList(List<String> idcardSexList){
        this.idcardSexList = idcardSexList;
		return this;
    }
	/**
    * 设置 民族
    * @param idcardNation
    */
    public MemberQuery idcardNation(String idcardNation){
        setIdcardNation(idcardNation);
		return this;
    }


    /**
    * 设置 民族
    * @param idcardNationList
    */
    public MemberQuery idcardNationList(List<String> idcardNationList){
        this.idcardNationList = idcardNationList;
		return this;
    }
	/**
    * 设置 出生
    * @param idcardBorn
    */
    public MemberQuery idcardBorn(String idcardBorn){
        setIdcardBorn(idcardBorn);
		return this;
    }


    /**
    * 设置 出生
    * @param idcardBornList
    */
    public MemberQuery idcardBornList(List<String> idcardBornList){
        this.idcardBornList = idcardBornList;
		return this;
    }
	/**
    * 设置 地址
    * @param idcardAddress
    */
    public MemberQuery idcardAddress(String idcardAddress){
        setIdcardAddress(idcardAddress);
		return this;
    }


    /**
    * 设置 地址
    * @param idcardAddressList
    */
    public MemberQuery idcardAddressList(List<String> idcardAddressList){
        this.idcardAddressList = idcardAddressList;
		return this;
    }
	/**
    * 设置 身份证号
    * @param idcardIDCardNo
    */
    public MemberQuery idcardIDCardNo(String idcardIDCardNo){
        setIdcardIDCardNo(idcardIDCardNo);
		return this;
    }


    /**
    * 设置 身份证号
    * @param idcardIDCardNoList
    */
    public MemberQuery idcardIDCardNoList(List<String> idcardIDCardNoList){
        this.idcardIDCardNoList = idcardIDCardNoList;
		return this;
    }
	/**
    * 设置 发证机关
    * @param idcardGrantDept
    */
    public MemberQuery idcardGrantDept(String idcardGrantDept){
        setIdcardGrantDept(idcardGrantDept);
		return this;
    }


    /**
    * 设置 发证机关
    * @param idcardGrantDeptList
    */
    public MemberQuery idcardGrantDeptList(List<String> idcardGrantDeptList){
        this.idcardGrantDeptList = idcardGrantDeptList;
		return this;
    }
	/**
    * 设置 有效期开始
    * @param idcardUserLifeBegin
    */
    public MemberQuery idcardUserLifeBegin(String idcardUserLifeBegin){
        setIdcardUserLifeBegin(idcardUserLifeBegin);
		return this;
    }


    /**
    * 设置 有效期开始
    * @param idcardUserLifeBeginList
    */
    public MemberQuery idcardUserLifeBeginList(List<String> idcardUserLifeBeginList){
        this.idcardUserLifeBeginList = idcardUserLifeBeginList;
		return this;
    }
	/**
    * 设置 有效期结束
    * @param idcardUserLifeEnd
    */
    public MemberQuery idcardUserLifeEnd(String idcardUserLifeEnd){
        setIdcardUserLifeEnd(idcardUserLifeEnd);
		return this;
    }


    /**
    * 设置 有效期结束
    * @param idcardUserLifeEndList
    */
    public MemberQuery idcardUserLifeEndList(List<String> idcardUserLifeEndList){
        this.idcardUserLifeEndList = idcardUserLifeEndList;
		return this;
    }
	/**
    * 设置 照片
    * @param idcardDataPhotoFileName
    */
    public MemberQuery idcardDataPhotoFileName(String idcardDataPhotoFileName){
        setIdcardDataPhotoFileName(idcardDataPhotoFileName);
		return this;
    }


    /**
    * 设置 照片
    * @param idcardDataPhotoFileNameList
    */
    public MemberQuery idcardDataPhotoFileNameList(List<String> idcardDataPhotoFileNameList){
        this.idcardDataPhotoFileNameList = idcardDataPhotoFileNameList;
		return this;
    }
	/**
    * 设置 手机号
    * @param phone
    */
    public MemberQuery phone(String phone){
        setPhone(phone);
		return this;
    }


    /**
    * 设置 手机号
    * @param phoneList
    */
    public MemberQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
		return this;
    }
	/**
    * 设置 unionid，同一个微信开放平台的唯一标识
    * @param unionid
    */
    public MemberQuery unionid(String unionid){
        setUnionid(unionid);
		return this;
    }


    /**
    * 设置 unionid，同一个微信开放平台的唯一标识
    * @param unionidList
    */
    public MemberQuery unionidList(List<String> unionidList){
        this.unionidList = unionidList;
		return this;
    }
	/**
    * 设置 微信openId
    * @param openId
    */
    public MemberQuery openId(String openId){
        setOpenId(openId);
		return this;
    }


    /**
    * 设置 微信openId
    * @param openIdList
    */
    public MemberQuery openIdList(List<String> openIdList){
        this.openIdList = openIdList;
		return this;
    }
	/**
    * 设置 头像地址
    * @param picImage
    */
    public MemberQuery picImage(String picImage){
        setPicImage(picImage);
		return this;
    }


    /**
    * 设置 头像地址
    * @param picImageList
    */
    public MemberQuery picImageList(List<String> picImageList){
        this.picImageList = picImageList;
		return this;
    }
	/**
    * 设置 昵称
    * @param nickname
    */
    public MemberQuery nickname(String nickname){
        setNickname(nickname);
		return this;
    }


    /**
    * 设置 昵称
    * @param nicknameList
    */
    public MemberQuery nicknameList(List<String> nicknameList){
        this.nicknameList = nicknameList;
		return this;
    }
	/**
    * 设置 真实姓名
    * @param realName
    */
    public MemberQuery realName(String realName){
        setRealName(realName);
		return this;
    }


    /**
    * 设置 真实姓名
    * @param realNameList
    */
    public MemberQuery realNameList(List<String> realNameList){
        this.realNameList = realNameList;
		return this;
    }
	/**
    * 设置 1：男，2：女
    * @param gender
    */
    public MemberQuery gender(String gender){
        setGender(gender);
		return this;
    }


    /**
    * 设置 1：男，2：女
    * @param genderList
    */
    public MemberQuery genderList(List<String> genderList){
        this.genderList = genderList;
		return this;
    }
	/**
    * 设置 微信头像
    * @param icon
    */
    public MemberQuery icon(String icon){
        setIcon(icon);
		return this;
    }


    /**
    * 设置 微信头像
    * @param iconList
    */
    public MemberQuery iconList(List<String> iconList){
        this.iconList = iconList;
		return this;
    }
	/**
    * 设置 身份证正面照片
    * @param zImg
    */
    public MemberQuery zImg(String zImg){
        setZImg(zImg);
		return this;
    }


    /**
    * 设置 身份证正面照片
    * @param zImgList
    */
    public MemberQuery zImgList(List<String> zImgList){
        this.zImgList = zImgList;
		return this;
    }
	/**
    * 设置 身份证背面照片
    * @param bImg
    */
    public MemberQuery bImg(String bImg){
        setBImg(bImg);
		return this;
    }


    /**
    * 设置 身份证背面照片
    * @param bImgList
    */
    public MemberQuery bImgList(List<String> bImgList){
        this.bImgList = bImgList;
		return this;
    }

	/**
    * 设置  默认选择的站点id
    * @param siteid
    */
    public MemberQuery siteid(Long siteid){
	    setSiteid(siteid);
		return this;
    }
	
	 /**
    * 设置 开始 默认选择的站点id
    * @param siteidStart
    */
    public MemberQuery siteidStart(Long siteidStart){
		this.siteidStart = siteidStart;
		return this;
    }

    /**
    * 设置 结束 默认选择的站点id
    * @param siteidEnd
    */
    public MemberQuery siteidEnd(Long siteidEnd){
		this.siteidEnd = siteidEnd;
		return this;
    }

    /**
    * 设置 增加 默认选择的站点id
    * @param siteidIncrement
    */
    public MemberQuery siteidIncrement(Long siteidIncrement){
		this.siteidIncrement = siteidIncrement;
		return this;
    }

    /**
    * 设置 默认选择的站点id
    * @param siteidList
    */
    public MemberQuery siteidList(List<Long> siteidList){
        this.siteidList = siteidList;
		return this;
        }
	/**
    * 设置 天府通办用户名
    * @param username
    */
    public MemberQuery username(String username){
        setUsername(username);
		return this;
    }


    /**
    * 设置 天府通办用户名
    * @param usernameList
    */
    public MemberQuery usernameList(List<String> usernameList){
        this.usernameList = usernameList;
		return this;
    }

    /**
    * 设置 开始 最后登录时间
    * @param lasttimeStart
    */
    public MemberQuery lasttimeStart(String lasttimeStart){
		this.lasttimeStart = lasttimeStart;
		return this;
    }


    /**
    * 设置 结束 最后登录时间
    * @param lasttimeEnd
    */
    public MemberQuery lasttimeEnd(String lasttimeEnd){
		this.lasttimeEnd = lasttimeEnd;
		return this;
    }
	/**
    * 设置 备注
    * @param remark
    */
    public MemberQuery remark(String remark){
        setRemark(remark);
		return this;
    }


    /**
    * 设置 备注
    * @param remarkList
    */
    public MemberQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }
	
	/**
    * 设置  用户状态，0:正常，1:禁用,默认0
    * @param status
    */
    public MemberQuery status(Integer status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 开始 用户状态，0:正常，1:禁用,默认0
    * @param statusStart
    */
    public MemberQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
		return this;
    }


    /**
    * 设置 结束 用户状态，0:正常，1:禁用,默认0
    * @param statusEnd
    */
    public MemberQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
		return this;
    }


    /**
    * 设置 增加 用户状态，0:正常，1:禁用,默认0
    * @param statusIncrement
    */
    public MemberQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
		return this;
    }


    /**
    * 设置 用户状态，0:正常，1:禁用,默认0
    * @param statusList
    */
    public MemberQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public MemberQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public MemberQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户
    * @param createUser
    */
    public MemberQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户
    * @param createUserList
    */
    public MemberQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }
	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public MemberQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }


    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public MemberQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MemberQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MemberQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MemberQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MemberQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}